Summary:	Photomosaic Generator
Name:		metapixel
Version:	1.0.2
Release:	22%{?dist}
License:	GPLv2 and LGPLv2+
URL:		http://www.complang.tuwien.ac.at/schani/metapixel/
Source:		http://www.complang.tuwien.ac.at/schani/%{name}/files/%{name}-%{version}.tar.gz

Requires:	perl-interpreter
BuildRequires: 	gcc
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
BuildRequires:	giflib-devel
BuildRequires:	make
BuildRequires:	perl-generators

Patch0:		metapixel-build-fixes.patch
Patch1:		metapixel-copyright.patch
Patch2:		metapixel-install.patch
# giflib-5.x compatibility
Patch3:		metapixel-giflib5.patch

%description
A program for generating photomosaics.  It can generate classical 
photomosaics, in which the source image is viewed as a matrix of equally sized 
rectangles for each of which a matching image is substituted, as well as 
collage-style photomosaics, in which rectangular parts of the source image 
at arbitrary positions (i.e. not aligned to a matrix) are substituted by 
matching images.

%prep
%setup -q
%patch 0 -p1
%patch 1 -p1
%patch 2 -p1
%patch 3 -p1

%build
%{__make} %{?_smp_mflags} CFLAGS="%{optflags}"

%install
make PREFIX=$RPM_BUILD_ROOT/usr install

%files
%doc NEWS README
%license COPYING
%{_mandir}/man1/metapixel.1*
%{_bindir}/metapixel-prepare
%{_bindir}/metapixel
%{_bindir}/metapixel-imagesize
%{_bindir}/metapixel-sizesort

%changelog
* Thu Jul 25 2024 Qin Fandong <qinfandong@redflag-os.com> - 1.0.2-22
- Init package
